﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page 
{
    private int exportedRows = 0;

    protected void Page_Load(object sender, EventArgs e)
    {
        this.btnExport.Click += new EventHandler(btnExport_Click);
    }

    void eExporter_RowExported(object sender, ExcelRowExportedEventArgs e)
    {
        exportedRows++;
    }


    void btnExport_Click(object sender, EventArgs e)
    {
        this.eExporter.DataExportMode = DataExportMode.AllDataInDataSource;
        if (this.eExporter.DataExportMode == DataExportMode.AllDataInDataSource)
        {
            this.wdgCustomers.InitialDataBindDepth = -1;
            this.wdgCustomers.DataBind();
        }
        this.eExporter.DownloadName = "DownloadExcel";
       
        Infragistics.Excel.WorkbookFormat excelFormat = Infragistics.Excel.WorkbookFormat.Excel2007MacroEnabled;
        Infragistics.Excel.Workbook wBook = new Infragistics.Excel.Workbook(excelFormat);
        wBook.Worksheets.Clear();
        Infragistics.Excel.Worksheet wSheet = wBook.Worksheets.Add("Single Sheet for all Grids");
        this.eExporter.ExportMode = ExportMode.Custom;
        exportedRows = 0;
        this.eExporter.RowExported += eExporter_RowExported;
        this.eExporter.Export(this.wdgCustomers, wSheet);
          
        string tmpName = System.IO.Path.GetTempFileName();
        wBook.Save(tmpName);
        byte[] fileContents = System.IO.File.ReadAllBytes(tmpName);     
        string downloadFileName = this.eExporter.DownloadName;
        Response.AddHeader("Content-Disposition", "attachment; filename=" + downloadFileName);
        Response.ContentType = "application/vnd.ms-excel";
        Response.OutputStream.Write(fileContents, 0, fileContents.Length);
        Response.End();
        
    }

}